#include "Appevent.ch"
#include "common.ch"

PROCEDURE Appsys
RETURN

PROCEDURE Main
LOCAL nEvent, mp1, mp2, oXbp
LOCAL oTree, oItem1, oItem2
LOCAL oDlg
LOCAL i,iMax
LOCAL aItems :={ ;
  {"Kunden", 0, 0}, ;
    {"ohne Auftrag in Zeitraum..",1,                       12}, ;
    {"Monatsumsatz nach Abfallarten",1,                    27}, ;
    {"Umsatzrangliste (aus Lfs.)",1,                       30}, ;
    {"Mengenliste nach AVV-Nr. mit BV-Auswahl",1,          32}, ;
    {"Jahresabfallbilanz nach AVV-Nr. aus Rechnungen",1,   35}, ;
    {"Jahresabfallbilanz nach Artikeln (detailliert)",1,   37}, ;
    {"Jahresabfallbilanz Einzelartikel",1,                 38}, ;
  {"Auftragsanschriften", 0, 0}, ;
    {"ohne Auftrag in Zeitraum..",1,                       13}, ;
    {"Leistungen nach Mitarbeitern",1,                     93}, ;
  {"Behlter", 0, 0}, ;
    {"ohne Bewegung in Zeitraum..",1,                      11}, ;
    {"Behlterauslastung Monatsvergleich (2 Jahre)",1,    100}, ;
    {"Behlterauslastung 3-Jahres-Vergleich", 1,          103}, ;
  {"Fahrzeuge", 0, 0}, ;
    {"Tageserlse/Kosten pro Monat",1,                     21}, ;
    {"nach Kfz-Gruppen",1,                                 22}, ;
    {"Jahresauswertung Erlse/Kosten", 1,                 104}, ;
    {"Tageserlse nach Baustellen pro Monat",1,            36}, ;
  {"Personal/Fahrer", 0, 0}, ;
    {"Tageserlse/Kosten pro Monat",1,                     24}, ;
    {"Leistungen von Mitarbeitern",1,                      94}, ;
    {"Jahresauswertung Erlse/Stunden", 1,                105}, ;
  {"Auftrge", 0, 0}, ;
    {"S-Liste nach Zeitraum",1,                           31}, ;
    {"S-Liste nach Abfallarten",1,                        33}, ;
    {"S-Liste nach Entsorgern",1,                         34}, ;
    {"nach Erls/Preis (Alle,Kunden,ADM)",1,               23}, ;
    {"Entsorgungsleistungen",1,                            25}, ;
    {"Umsatzerlse nach Konten/Kostenstellen",1,           26}, ;
    {"Auftrge nach Ort/Bezirk",1,                         29}, ;
    {"Auftrge mit/ohne Lfs.", 1,                           5}, ;
    {"Jahresvergleich Auftrge", 1,                         8}, ;
    {"Anzahlungsliste fr Auftrge", 1,                   102}, ;
  {"Diverses", 0, 0}, ;
    {"Monatsumsatz Deponien nach Abfallarten",1,           28}, ;
    {"Mengen fr Entsorgungsnachweise",1,                   7}, ;
    {"Tagesmengen Auftrge und Platz", 1,                   9}, ;
  {"Auswertung fr Sub-Auftrge", 0,                      101}    }


   oDlg := XbpDialog():New(AppDesktop(),,{0,0}, {800,600},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "TreeView"
   oDlg:Create()
   oDlg:drawingArea:setFontCompoundName( "11.Arial" )

   CenterControl(oDlg)

   oTree := XbpTreeView():new(oDlg:drawingArea ,, {0,0}, {640,400},,.F. )
   oTree:hasLines   := .T.
   oTree:hasButtons := .T.
   oTree:alwaysShowSelection := .T.
   oTree:create()

   CenterControl(oTree,oDlg)

   iMax := LEN(aItems)
   oItem1 := oTree:rootItem:addItem( aItems[1][1] )

   FOR i := 2 TO iMax
      IF aItems[i][2] = 0
         oItem1 := oTree:rootItem:addItem( aItems[i][1] )
      ELSE
         oItem1:addItem( aItems[i][1])
      ENDIF
   NEXT

   DC_ExpandTree(oTree)

   oItem1 := oTree:rootItem:getChildItems()[1]

   oTree:Show()
   SetAppFocus(oTree)
   oTree:setData(oItem1)
   oDlg:Show()

   DO WHILE nEvent <> xbeP_Close
      nEvent := AppEvent( @mp1, @mp2, @oXbp )
      oXbp:handleEvent( nEvent, mp1, mp2 )
   ENDDO

RETURN

FUNCTION DC_ExpandTree( oTree, lExpand )
LOCAL i, aChildList, oTannenBaum := oTree
DEFAULT lExpand TO .t.

   IF IsMethod(oTannenBaum,'LOCKUPDATE')
      oTannenBaum:lockUpdate(.t.)
   ENDIF

   IF oTree:isDerivedfrom('XbpTreeView')
      oTree := oTree:rootItem
   ENDIF

   aChildList := oTree:getChildItems()

   FOR i := 1 TO Len(aChildList)
      aChildList[i]:expand(lExpand)
      DC_ExpandTree( aChildList[i], lExpand )
   NEXT

   IF IsMethod(oTannenBaum,'LOCKUPDATE')
      oTannenBaum:lockUpdate(.f.)
   ENDIF

RETURN nil

*
*
*